VirtualManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.VirtualManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class VirtualManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.appdef.server.session.AppdefSessionUtil
          org.hyperic.hq.appdef.server.session.AppdefSessionEJB
              org.hyperic.hq.appdef.server.session.VirtualManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class VirtualManagerEJBImpl

extends AppdefSessionEJB
implements javax.ejb.SessionBean

This class is responsible for managing Server objects in appdef and their relationships

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`_ctx, _ic`

Constructor Summary
`VirtualManagerEJBImpl()`

Method Summary
`void` | `associateEntities(AuthzSubject subj, java.lang.Integer processId, AppdefEntityID[] aeids)` Associate an array of entities to a VM
`void` | `associateToPhysical(AuthzSubject subj, java.lang.Integer physicalId, AppdefEntityID aeid)` Associate an array of entities to a VM
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.List` | `findVirtualPlatformsByVM(AuthzSubject subject, java.lang.Integer vmId)` Find virtual platforms in a VM Process
`java.util.List` | `findVirtualResourcesByPhysical(AuthzSubject subject, AppdefEntityID aeid)` Find virtual resources whose parent is the given physical ID
`java.util.List` | `findVirtualServersByVM(AuthzSubject subject, java.lang.Integer vmId)` Find virtual servers in a VM Process
`java.util.List` | `findVirtualServicesByVM(AuthzSubject subject, java.lang.Integer vmId)` Find virtual services in a VM Process

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`changeOwner, checkAIScanPermission, checkAlertingPermission, checkAlertingScope, checkControlPermission, checkCreateChildPermission, checkCreatePlatformPermission, checkModifyPermission, checkMonitorPermission, checkPermission, checkPermission, checkRemovePermission, checkViewPermission, createAuthzResource, createAuthzResource, deleteCustomProperties, filterResourceTypes, filterViewableServers, getApplicationPrototypeResourceType, getApplicationResourceType, getAuthzResourceType, getGroupResourceType, getInitialContext, getOperationByName, getOverlord, getPlatformPrototypeResourceType, getPlatformResourceType, getResourcePermissions, getResourceType, getRootResourceType, getServerPrototypeResourceType, getServerResourceType, getServiceCluster, getServicePrototypeResourceType, getServiceResourceType, getSessionContext, getViewableApplications, getViewableGroups, getViewablePlatformPKs, getViewablePlatforms, getViewableServers, getViewableServiceInventory, getViewableServices, removeAuthzResource, rollback, setSessionContext`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionUtil
`findResourceType, findResourceType, getAgentDAO, getAIQManagerLocal, getApplicationDAO, getApplicationManager, getConfigManager, getConfigResponseDAO, getCPropManager, getPlatformDAO, getPlatformManager, getPlatformTypeDAO, getResourceManager, getServerDAO, getServerManager, getServerTypeDAO, getServiceDAO, getServiceManager, getServiceTypeDAO`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.SessionBean
`setSessionContext`

Constructor Detail

### VirtualManagerEJBImpl

    public VirtualManagerEJBImpl()

Method Detail

### findVirtualPlatformsByVM

    public java.util.List findVirtualPlatformsByVM(AuthzSubject subject,
                                                   java.lang.Integer vmId)
                                            throws PlatformNotFoundException,
                                                   PermissionException

  Find virtual platforms in a VM Process

  Returns:
    a list of virtual platform values
  Throws:
    `PlatformNotFoundException`
    `PermissionException`

### findVirtualServersByVM

    public java.util.List findVirtualServersByVM(AuthzSubject subject,
                                                 java.lang.Integer vmId)
                                          throws ServerNotFoundException,
                                                 PermissionException

  Find virtual servers in a VM Process

  Returns:
    a list of virtual server values
  Throws:
    `ServerNotFoundException`
    `PermissionException`

### findVirtualServicesByVM

    public java.util.List findVirtualServicesByVM(AuthzSubject subject,
                                                  java.lang.Integer vmId)
                                           throws ServiceNotFoundException,
                                                  PermissionException

  Find virtual services in a VM Process

  Returns:
    a list of virtual service values
  Throws:
    `ServiceNotFoundException`
    `PermissionException`

### findVirtualResourcesByPhysical

    public java.util.List findVirtualResourcesByPhysical(AuthzSubject subject,
                                                         AppdefEntityID aeid)
                                                  throws AppdefEntityNotFoundException,
                                                         PermissionException

  Find virtual resources whose parent is the given physical ID

  Returns:
    list of virtual resource values
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### associateEntities

    public void associateEntities(AuthzSubject subj,
                                  java.lang.Integer processId,
                                  AppdefEntityID[] aeids)
                           throws javax.ejb.FinderException

  Associate an array of entities to a VM

  Throws:
    `javax.ejb.FinderException`

### associateToPhysical

    public void associateToPhysical(AuthzSubject subj,
                                    java.lang.Integer physicalId,
                                    AppdefEntityID aeid)
                             throws javax.ejb.FinderException

  Associate an array of entities to a VM

  Throws:
    `javax.ejb.FinderException`

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.